%global gem_name require_all

Name:          rubygem-%{gem_name}
Version:       3.0.0
Release:       7%{?dist}
Summary:       A wonderfully simple way to load your code
License:       MIT
URL:           http://github.com/jarmo/require_all
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
Requires:      ruby(release)
Requires:      ruby(rubygems)
%endif
BuildRequires: ruby
BuildRequires: rubygems-devel
# For Testing
BuildRequires: rubygem(rspec) => 2.14
BuildRequires: rubygem(simplecov) => 0.7
BuildRequires: rubygem(coveralls)
BuildArch:     noarch
%if 0%{?fc19} || 0%{?fc20} || 0%{?el7} || 0%{?el6}
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
A wonderfully simple way to load your code.

Tired of futzing around with require statements everywhere,
littering your code with require File (__FILE__) crap? 
What if you could just point something at a big directory full 
of code and have everything just auto-magically load regardless 
of the dependency structure?

Wouldn't that be nice? Well, now you can!


%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Cleanup
rm -rf %{buildroot}%{gem_instdir}/{.gitignore,.travis.yml,.yard*}
sed -i 's/\r$//' %{buildroot}%{gem_instdir}/{CHANGES.md,LICENSE,README.md}

# Run the test suite
%check
pushd .%{gem_instdir}
rspec -Ilib spec
popd

%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/%{gem_name}.gemspec
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Oct 22 2019 Troy Dawson <tdawson@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 16 2016 Troy Dawson <tdawson@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 12 2014 Troy Dawson <tdawson@redhat.com> - 1.3.2-5
- Spec file tweaks to accomodate different releases

* Wed Jul 09 2014 Troy Dawson <tdawson@redhat.com> - 1.3.2-4
- Minor spec tweaks

* Tue Jul 08 2014 Troy Dawson <tdawson@redhat.com> - 1.3.2-3
- Fix buildrequirements

* Mon Jul 07 2014 Troy Dawson <tdawson@redhat.com> - 1.3.2-2
- Enable tests

* Thu Jul 03 2014 Troy Dawson <tdawson@redhat.com> - 1.3.2-1
- Initial package
